#!/usr/local/bin/ruby

while line = ARGF.gets
  line.chomp!
  (pattern, cand, context) = line.split(/\t+/)
  
  if cand == nil
    # skip broken line
    next
  end

  pattern.gsub!(/n'(?=[yaiueon])/, 'nn')
  pattern.gsub!(/n'(?![yaiueon])/, 'n')

  print "#{pattern}\t#{cand}"
  if context
    print "\t#{context}"
  end
  print "\n"
end
